Name:		mmv
Version:	1.01b
Release:	%mkrel 9
Summary:	Move/copy/append/link multiple files

Group:		File tools
License:	GPL
URL:		http://packages.qa.debian.org/m/mmv.html
Source0:	http://ftp.debian.org/debian/pool/main/m/mmv/mmv_1.01b.orig.tar.gz
Source1:	copyright
Source2:	changelog
Patch0:		mmv-1.01b-debian.patch
Patch1:		mmv-1.01b-makefile.patch
Patch2:		mmv-1.01b-debian-14.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is mmv, a program to move/copy/append/link multiple files
according to a set of wildcard patterns. This multiple action is
performed safely, i.e. without any unexpected deletion of files due to
collisions of target names with existing filenames or with other
target names. Furthermore, before doing anything, mmv attempts to
detect any errors that would result from the entire set of actions
specified and gives the user the choice of either aborting before
beginning, or proceeding by avoiding the offending parts.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp -p %{SOURCE1} . 
cp -p %{SOURCE2} .

%build
%make CONF="%{optflags} -fpie" LDCONF="-pie"

%install
rm -rf %{buildroot}
%makeinstall_std
ln -s mmv %{buildroot}%{_bindir}/mcp
ln -s mmv %{buildroot}%{_bindir}/mad
ln -s mmv %{buildroot}%{_bindir}/mln
ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mcp.1%{_extension}
ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mad.1%{_extension}
ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mln.1%{_extension}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc copyright changelog
%defattr(-,root,root,-)
%doc ANNOUNCE ARTICLE READ.ME
%{_bindir}/mmv
%{_bindir}/mcp
%{_bindir}/mad
%{_bindir}/mln
%{_mandir}/man1/*




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.01b-9mdv2008.1
+ Revision: 136598
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.01b-9mdv2007.0
+ Revision: 123831
- Import mmv

* Wed Feb 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com 1.01b-9mdv2007.1
- package adapted from fedora, uploaded by Herbert Pötzl

* Sat Sep 09 2006 Zing <zing@fastmail.fm> - 1.01b-8
- fix perms on man page
- rebuild for FE6

* Tue Apr 11 2006 Zing <shishz@hotpop.com> - 1.01b-7
- ok, now fix busted perms on doc directory

* Mon Mar 20 2006 Zing <shishz@hotpop.com> - 1.01b-6
- fix permissions on doc files

* Mon Feb 13 2006 Zing <shishz@hotpop.com> - 1.01b-5
- sync with debian mmv_1.01b-14
- symlink man page for mcp/mad/mln

* Sun Oct 02 2005 Zing <shishz@hotpop.com> - 1.01b-4
- use dist tag

* Sun Oct 02 2005 Zing <shishz@hotpop.com> - 1.01b-3
- cleanup changelog

* Thu Sep 29 2005 Zing <shishz@hotpop.com> - 1.01b-2
- don't change source name
- symlink mcp/mad/mln

* Wed Aug 24 2005 Zing <shishz@hotpop.com> - 1.01b-1
- initial RPM release
- pull from debian mmv_1.01b-12.2
- build executable as a PIE

